Add-on spatial breaking on libgeos 3.10

Unfortunately the add-on “spatial” for spatial reasoning is breaking down again :frowning: Last time @swi provided patches for libspatialindex 6 and libgeos 3.8 …

It seems the issue is that geos::geom::Coordinate() no longer takes a single argument :frowning:

I’ll take a look, might take me a while.